<?xml version="1.0" encoding="UTF-8"?>
<section version="5.0" 
         xmlns="http://docbook.org/ns/docbook" 
         xmlns:xlink="http://www.w3.org/1999/xlink" 
         xmlns:xi="http://www.w3.org/2001/XInclude" 
         xmlns:svg="http://www.w3.org/2000/svg" 
         xmlns:mml="http://www.w3.org/1998/Math/MathML" 
         xmlns:html="http://www.w3.org/1999/xhtml" 
         xmlns:db="http://docbook.org/ns/docbook" 
         xml:lang="en" 
         xml:id="deploy.ear">

  <info><title>Deploying and installing a J2EE application</title></info>
  

  <para>Before deploying a J2EE application in the JOnAS application server,
  first package its components in an ear file as explained in the <link xlink:href="eardeploy.html#ear.packaging"> EAR
  packaging guide </link> . </para>

  <para>Next, install the ear file into the <code> $JONAS_BASE/deploy </code>
  directory.</para>

  <para>Then, check the configuration : before running the application, check
  that the ejb2, ejb3 , web and ear services are present in the <code>
  jonas.services </code> property. </para>

  <para>Finally, run the application Server: <code> jonas start </code></para>

  <para>The application components are deployed in EJB and web containers
  created during the startup. </para>

  <para>It is also possible to dynamically deploy the application components
  using the <code> jonas admin </code> command or <code> JonasAdmin </code>
  tool.</para>
</section>